Package org.apache.any23.extractor.rdf

## Class JSONLDExtractorTest

- java.lang.Object
- - org.apache.any23.extractor.rdf.JSONLDExtractorTest

-     public class JSONLDExtractorTest
      extends Object

  Test case for `JSONLDExtractor`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JSONLDExtractorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `extract​(org.eclipse.rdf4j.model.IRI uri, String filePath)` |
    `void` | `setUp()` |
    `void` | `tearDown()` |
    `void` | `testExtractFromJSONLDDocument()` |
    `void` | `testJsonCleaning()` |
    `void` | `testWhitespaceCleaning()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONLDExtractorTest

          public JSONLDExtractorTest()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testExtractFromJSONLDDocument

          public void testExtractFromJSONLDDocument()
                                             throws IOException,
                                                    ExtractionException,
                                                    TripleHandlerException

      Throws:
        `IOException`
        `ExtractionException`
        `TripleHandlerException`

    - #### testWhitespaceCleaning

          public void testWhitespaceCleaning()
                                      throws Exception

      Throws:
        `Exception`

    - #### testJsonCleaning

          public void testJsonCleaning()
                                throws Exception

      Throws:
        `Exception`

    - #### extract

          public void extract​(org.eclipse.rdf4j.model.IRI uri,
                              String filePath)
                       throws IOException,
                              ExtractionException,
                              TripleHandlerException

      Throws:
        `IOException`
        `ExtractionException`
        `TripleHandlerException`